<%= form_for @changeset, @action, fn f -> %>
  <%= if @changeset.action do %>
    <div class="alert alert-danger">
      <p>Oops, something went wrong! Please check the errors below.</p>
    </div>
  <% end %>

  <%= label f, :title %>
  <%= text_input f, :title %>
  <%= error_tag f, :title %>

  <%= label f, :first_name %>
  <%= text_input f, :first_name %>
  <%= error_tag f, :first_name %>

  <%= label f, :surname %>
  <%= text_input f, :surname %>
  <%= error_tag f, :surname %>

  <%= label f, :middle_name %>
  <%= text_input f, :middle_name %>
  <%= error_tag f, :middle_name %>

  <%= label f, :email %>
  <%= text_input f, :email %>
  <%= error_tag f, :email %>

  <%= label f, :country %>
  <%= text_input f, :country %>
  <%= error_tag f, :country %>

  <%= label f, :state %>
  <%= text_input f, :state %>
  <%= error_tag f, :state %>

  <%= label f, :phone %>
  <%= text_input f, :phone %>
  <%= error_tag f, :phone %>

  <%= label f, :address %>
  <%= text_input f, :address %>
  <%= error_tag f, :address %>

  <%= label f, :dob %>
  <%= date_select f, :dob %>
  <%= error_tag f, :dob %>

  <%= label f, :marital_status %>
  <%= text_input f, :marital_status %>
  <%= error_tag f, :marital_status %>

  <%= label f, :children %>
  <%= number_input f, :children %>
  <%= error_tag f, :children %>

  <%= label f, :dependents %>
  <%= number_input f, :dependents %>
  <%= error_tag f, :dependents %>

  <div>
    <%= submit "Save" %>
  </div>
<% end %>
